Package fr.gouv.vitam.batch.report.client

# Interface BatchReportClient

All Superinterfaces:
  `AutoCloseable`, `BasicClient`, `MockOrRestClient`, `VitamAutoCloseable`

All Known Implementing Classes:
  `BatchReportClientRest`

public interface BatchReportClient extends BasicClient
BatchReportClient

- ## Field Summary

  ### Fields inherited from interface fr.gouv.vitam.common.external.client.BasicClient

  `STATUS_URL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendReportEntries(ReportBody reportBody)`
  Append report entries
  `void`
  `cleanupReport(String processId, ReportType reportType)`
  Clean all entries with the given process Id tenant and reportType
  `void`
  `createExtractedMetadataDistributionFileForAu(String processId, WorkFlowExecutionContext executionContext)`
  `void`
  `exportUnitsToInvalidate(String processId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext)`
  Generate units to invalidate by process Id.
  `void`
  `generatePurgeAccessionRegisterReport(String processId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext)`
  Generate elimination action accession register for deleted units by status and process Id.
  `void`
  `generatePurgeDistinctObjectGroupInUnitReport(String processId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext)`
  Generate purge district object groups for units by status and process Id.
  `com.fasterxml.jackson.databind.JsonNode`
  `readComputedDetailsFromReport(ReportType deleteGotVersions, String processId)`
  `void`
  `storeExtractedMetadataForAu(List<ExtractedMetadata> extractedMetadata)`
  `void`
  `storeReportToWorkspace(Report reportInfo, WorkFlowExecutionContext executionContext)`

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### generatePurgeDistinctObjectGroupInUnitReport

    void generatePurgeDistinctObjectGroupInUnitReport(String processId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext) throws VitamClientInternalException
    Generate purge district object groups for units by status and process Id. Report is stored in JSONL format in workspace.
    Parameters:
      `processId` -
      `reportExportRequest` - report export request
      `executionContext` -
    Throws:
      `VitamClientInternalException`

  - ### appendReportEntries

    void appendReportEntries(ReportBody reportBody) throws VitamClientInternalException
    Append report entries
    Parameters:
      `reportBody` - the given entry document.
    Throws:
      `VitamClientInternalException`

  - ### storeReportToWorkspace

    void storeReportToWorkspace(Report reportInfo, WorkFlowExecutionContext executionContext) throws VitamClientInternalException
    Throws:
      `VitamClientInternalException`

  - ### exportUnitsToInvalidate

    void exportUnitsToInvalidate(String processId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext) throws VitamClientInternalException
    Generate units to invalidate by process Id. Report is stored in JSONL format without duplicates.
    Throws:
      `VitamClientInternalException`

  - ### generatePurgeAccessionRegisterReport

    void generatePurgeAccessionRegisterReport(String processId, ReportExportRequest reportExportRequest, WorkFlowExecutionContext executionContext) throws VitamClientInternalException
    Generate elimination action accession register for deleted units by status and process Id. Report is stored in JSONL format in workspace ORDERED BY opi.
    Parameters:
      `processId` -
      `reportExportRequest` - report export request
      `executionContext` -
    Throws:
      `VitamClientInternalException`

  - ### cleanupReport

    void cleanupReport(String processId, ReportType reportType) throws VitamClientInternalException
    Clean all entries with the given process Id tenant and reportType
    Parameters:
      `processId` - the given process Id
      `reportType` - report type
    Throws:
      `VitamClientInternalException`

  - ### storeExtractedMetadataForAu

    void storeExtractedMetadataForAu(List<ExtractedMetadata> extractedMetadata) throws VitamClientInternalException
    Throws:
      `VitamClientInternalException`

  - ### createExtractedMetadataDistributionFileForAu

    void createExtractedMetadataDistributionFileForAu(String processId, WorkFlowExecutionContext executionContext) throws Exception
    Throws:
      `Exception`

  - ### readComputedDetailsFromReport

    com.fasterxml.jackson.databind.JsonNode readComputedDetailsFromReport(ReportType deleteGotVersions, String processId)